## org.apache.maven.shared.io.download
Interface DownloadManager

All Known Implementing Classes:
  DefaultDownloadManager

    public interface DownloadManager

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`java.io.File` `download(java.lang.String url, java.util.List transferListeners, MessageHolder messageHolder)`
`java.io.File` `download(java.lang.String url, MessageHolder messageHolder)`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### download

    java.io.File download(java.lang.String url,
                          MessageHolder messageHolder)
                          throws DownloadFailedException

  Throws:
    `DownloadFailedException`

### download

    java.io.File download(java.lang.String url,
                          java.util.List transferListeners,
                          MessageHolder messageHolder)
                          throws DownloadFailedException

  Throws:
    `DownloadFailedException`

Copyright © 2011. All Rights Reserved.